LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
OleBridgeSupplier Service Referencepublished

makes it possible to generate OLE bridges to UNO objects and vice versa. More...

`import"OleBridgeSupplier.idl";`

Inheritance diagram for OleBridgeSupplier:

## Exported Interfaces
interface | com::sun::star::bridge::XBridgeSupplier

## Additional Inherited Members
Public Member Functions inherited from XBridgeSupplier
any | createBridge ([in] any modelDepObject, [in] com::sun::star::uno::Uik MachineId, [in] long ProcessId, [in] short sourceModelType, [in] short destModelType) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a bridge to provide an object of one object model with another. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to generate OLE bridges to UNO objects and vice versa.

The service implements the XBridgeSupplier interface and handles the model types ModelDependent::UNO and ModelDependent::OLE. The service does not specify any requirements on registering OLE objects and class factories.

Deprecated:

## Exported Interfaces

## ◆ com::sun::star::bridge::XBridgeSupplier

interface com::sun::star::bridge::XBridgeSupplier

The documentation for this service was generated from the following file:

- com/sun/star/bridge/OleBridgeSupplier.idl